Bullet Collision Detection & Physics Library: btAabbUtil2.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
btAabbUtil2.h File Reference
`#include "btTransform.h"`
`#include "btVector3.h"`
`#include "btMinMax.h"`
Include dependency graph for btAabbUtil2.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | USE_BANCHLESS 1

## Functions
void | AabbExpand (btVector3 &aabbMin, btVector3 &aabbMax, const btVector3 &expansionMin, const btVector3 &expansionMax)
bool | TestPointAgainstAabb2 (const btVector3 &aabbMin1, const btVector3 &aabbMax1, const btVector3 &point)
| conservative test for overlap between two aabbs More...
bool | TestAabbAgainstAabb2 (const btVector3 &aabbMin1, const btVector3 &aabbMax1, const btVector3 &aabbMin2, const btVector3 &aabbMax2)
| conservative test for overlap between two aabbs More...
bool | TestTriangleAgainstAabb2 (const btVector3 *vertices, const btVector3 &aabbMin, const btVector3 &aabbMax)
| conservative test for overlap between triangle and aabb More...
int | btOutcode (const btVector3 &p, const btVector3 &halfExtent)
bool | btRayAabb2 (const btVector3 &rayFrom, const btVector3 &rayInvDirection, const unsigned int raySign[3], const btVector3 bounds[2], btScalar &tmin, btScalar lambda_min, btScalar lambda_max)
bool | btRayAabb (const btVector3 &rayFrom, const btVector3 &rayTo, const btVector3 &aabbMin, const btVector3 &aabbMax, btScalar &param, btVector3 &normal)
void | btTransformAabb (const btVector3 &halfExtents, btScalar margin, const btTransform &t, btVector3 &aabbMinOut, btVector3 &aabbMaxOut)
void | btTransformAabb (const btVector3 &localAabbMin, const btVector3 &localAabbMax, btScalar margin, const btTransform &trans, btVector3 &aabbMinOut, btVector3 &aabbMaxOut)
unsigned | testQuantizedAabbAgainstQuantizedAabb (const unsigned short int *aabbMin1, const unsigned short int *aabbMax1, const unsigned short int *aabbMin2, const unsigned short int *aabbMax2)

## Macro Definition Documentation

#define USE_BANCHLESS 1

Definition at line 209 of file btAabbUtil2.h.

## Function Documentation

void AabbExpand | ( | btVector3 & | aabbMin,
|  | btVector3 & | aabbMax,
|  | const btVector3 & | expansionMin,
|  | const btVector3 & | expansionMax
| ) |  |
| inline

Definition at line 26 of file btAabbUtil2.h.

int btOutcode | ( | const btVector3 & | p,
|  | const btVector3 & | halfExtent
| ) |  |
| inline

Definition at line 78 of file btAabbUtil2.h.

bool btRayAabb | ( | const btVector3 & | rayFrom,
|  | const btVector3 & | rayTo,
|  | const btVector3 & | aabbMin,
|  | const btVector3 & | aabbMax,
|  | btScalar & | param,
|  | btVector3 & | normal
| ) |  |
| inline

Definition at line 125 of file btAabbUtil2.h.

bool btRayAabb2 | ( | const btVector3 & | rayFrom,
|  | const btVector3 & | rayInvDirection,
|  | const unsigned int | raySign[3],
|  | const btVector3 | bounds[2],
|  | btScalar & | tmin,
|  | btScalar | lambda_min,
|  | btScalar | lambda_max
| ) |  |
| inline

Definition at line 90 of file btAabbUtil2.h.

void btTransformAabb | ( | const btVector3 & | halfExtents,
|  | btScalar | margin,
|  | const btTransform & | t,
|  | btVector3 & | aabbMinOut,
|  | btVector3 & | aabbMaxOut
| ) |  |
| inline

Definition at line 182 of file btAabbUtil2.h.

void btTransformAabb | ( | const btVector3 & | localAabbMin,
|  | const btVector3 & | localAabbMax,
|  | btScalar | margin,
|  | const btTransform & | trans,
|  | btVector3 & | aabbMinOut,
|  | btVector3 & | aabbMaxOut
| ) |  |
| inline

Definition at line 193 of file btAabbUtil2.h.

bool TestAabbAgainstAabb2 | ( | const btVector3 & | aabbMin1,
|  | const btVector3 & | aabbMax1,
|  | const btVector3 & | aabbMin2,
|  | const btVector3 & | aabbMax2
| ) |  |
| inline

conservative test for overlap between two aabbs

Definition at line 48 of file btAabbUtil2.h.

bool TestPointAgainstAabb2 | ( | const btVector3 & | aabbMin1,
|  | const btVector3 & | aabbMax1,
|  | const btVector3 & | point
| ) |  |
| inline

conservative test for overlap between two aabbs

Definition at line 36 of file btAabbUtil2.h.

unsigned testQuantizedAabbAgainstQuantizedAabb | ( | const unsigned short int * | aabbMin1,
|  | const unsigned short int * | aabbMax1,
|  | const unsigned short int * | aabbMin2,
|  | const unsigned short int * | aabbMax2
| ) |  |
| inline

Definition at line 212 of file btAabbUtil2.h.

bool TestTriangleAgainstAabb2 | ( | const btVector3 * | vertices,
|  | const btVector3 & | aabbMin,
|  | const btVector3 & | aabbMax
| ) |  |
| inline

conservative test for overlap between triangle and aabb

Definition at line 59 of file btAabbUtil2.h.